OGRE: Ogre::VctMaterial Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Classes | Public Member Functions | List of all members
Ogre::VctMaterial Class Reference

`#include <OgreVctMaterial.h>`

Inheritance diagram for Ogre::VctMaterial:
[legend]

## Classes
struct | DatablockConversionResult

## Public Member Functions
| VctMaterial (IdType id, VaoManager *vaoManager, CompositorManager2 *compositorManager, TextureGpuManager *textureGpuManager)
| ~VctMaterial ()
DatablockConversionResult | addDatablock (HlmsDatablock *datablock)
| Adds a datablock, if not already cached. More...
void | destroyTempResources (void)
IdType | getId () const
| Get the unique id of this object. More...
TextureGpu * | getTexturePool (void) const
void | initTempResources (SceneManager *sceneManager)
bool | operator() (const IdObject &left, const IdObject &right)
bool | operator() (const IdObject *left, const IdObject *right)

## Constructor & Destructor Documentation

## ◆ VctMaterial()

Ogre::VctMaterial::VctMaterial | ( | IdType | id,
|  | VaoManager * | vaoManager,
|  | CompositorManager2 * | compositorManager,
|  | TextureGpuManager * | textureGpuManager
| ) |  |

## ◆ ~VctMaterial()

Ogre::VctMaterial::~VctMaterial | ( |  | ) |

## Member Function Documentation

## ◆ addDatablock()

DatablockConversionResult Ogre::VctMaterial::addDatablock | ( | HlmsDatablock * | datablock | ) |

Adds a datablock, if not already cached.

If the datablock contains textures, then initTempResources must already have been called.

## ◆ destroyTempResources()

void Ogre::VctMaterial::destroyTempResources | ( | void |  | ) |

## ◆ getId()

IdType Ogre::IdObject::getId | ( |  | ) | const
| inlineinherited

Get the unique id of this object.

## ◆ getTexturePool()

TextureGpu* Ogre::VctMaterial::getTexturePool | ( | void |  | ) | const
| inline

## ◆ initTempResources()

void Ogre::VctMaterial::initTempResources | ( | SceneManager * | sceneManager | ) |

## ◆ operator()() [1/2]

bool Ogre::IdObject::operator() | ( | const IdObject & | left,
|  | const IdObject & | right
| ) |  |
| inlineinherited

## ◆ operator()() [2/2]

bool Ogre::IdObject::operator() | ( | const IdObject * | left,
|  | const IdObject * | right
| ) |  |
| inlineinherited

The documentation for this class was generated from the following file:

- OgreVctMaterial.h